# OpalMediaPatch::Filter Class Reference

`#include <patch.h>`

Collaboration diagram for OpalMediaPatch::Filter:

[legend]

## Public Member Functions

| Filter (const PNotifier &n, const OpalMediaFormat &s)

## Data Fields

PNotifier | notifier
OpalMediaFormat | stage

## Constructor & Destructor Documentation

OpalMediaPatch::Filter::Filter | ( | const PNotifier & | n,
|  | const OpalMediaFormat & | s |
| ) |  |  | `[inline]`

## Field Documentation

PNotifier OpalMediaPatch::Filter::notifier

OpalMediaFormat OpalMediaPatch::Filter::stage

The documentation for this class was generated from the following file:

- patch.h